Add curve from deviation of 2 curves


#1

Hi everyone.

Those anyone know a way to add the deviation curve and its points in rhinoscript.
I know how to call the deviation command and it gives me a max deviation between two curves but I can figure out how to create the line that represents that max deviation.

any ideias??

Thank everyone.


#2

Hi,
Rhino.CurveDeviation returns an array of numbers. The first two are the parameters on the two curves at max deviation. You simply need to use Rhino.EvaluateCurve on those parameters to get the 3D point at those parameters:

Dim arrDev,pt1,pt2
arrDev=Rhino.CurveDeviation(curveA,curveB)
pt1=Rhino.EvaluateCurve(curveA,arrDev(0))
pt2=Rhino.EvaluateCurve(curveB,arrDev(1))
Call Rhino.AddLIne(pt1,pt2)

HTH, --Mitch


#3

Awsome, it works like a great…thank you so much.

This Forum is Master :slight_smile: